Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0003849 [DCSS] Bug Report tweak have not tried 2011-04-21 00:08 2015-12-06 21:52
Reporter kurzedmetal View Status public  
Assigned To wheals
Priority normal Resolution done  
Status resolved   Product Branch 0.8 ancient branch
Summary 0003849: Monsters don't inscribe/identify correctly used items
Description I don't know if report this as a bug report or a feature request.
Shouldn't this situation identify the "pink potion" or at least inscribe it with more information?

The kobold is heavily wounded.
The kobold drinks a potion. The kobold is healed!
You hit the kobold.
You kill the kobold!
t - a pink potion {tried by monster}
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0012740)
KiloByte (manager)
2011-04-21 00:51

You don't know if it was healing or heal wounds.
(0012742)
kurzedmetal (reporter)
2011-04-21 02:13

I know, that's why i said "at least inscribe it" with something like "healed monster" or something like that.
(0012807)
Someone-else (reporter)
2011-04-22 21:26

In this case it's ambiguous, so it shouldn't be identified.
As far as I recall, all other potions are immediately identified - might, speed, invisibility. I don't remember seeing a monster drink a potion of resistance, brilliance or agility.
Do we have a special case when we know only one of the healing potions and monster drinks the other kind?
For example, we have a Mummy, he poisons a kobold, who then heals with a potion (non-ambiguous - heal wounds wouldn't heal the poison). Later we notice an orc drink the other kind of healing potion. Do we know both of them now?
(0012814)
minmay (reporter)
2011-04-23 03:17

I think it would be fine to just tell the player the potion type. It's not like there's a significant effect on gameplay coming from this, and there are all sorts of possible situations like the one Someone-else mentioned where an attentive player would be able to identify the potions unambiguously.
(0029948)
wheals (administrator)
2015-12-06 21:52

This has been done at some point.

- Issue History
Date Modified Username Field Change
2011-04-21 00:08 kurzedmetal New Issue
2011-04-21 00:51 KiloByte Note Added: 0012740
2011-04-21 02:13 kurzedmetal Note Added: 0012742
2011-04-22 21:26 Someone-else Note Added: 0012807
2011-04-23 03:17 minmay Note Added: 0012814
2015-12-06 21:52 wheals Note Added: 0029948
2015-12-06 21:52 wheals Status new => resolved
2015-12-06 21:52 wheals Fixed in Branch => 0.18 development branch
2015-12-06 21:52 wheals Resolution open => done
2015-12-06 21:52 wheals Assigned To => wheals


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker